aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-class-trigger/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 12:24:21 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 12:25:30 +0000
commit61c9122b4f424e304a3b498cdfb36127aaf2c811 (patch)
tree10a724e2226e7bf9c9ee59129e944fd19c019009 /community/perl-class-trigger/APKBUILD
parent43533d0a9cfc45d435131bbdb375e7cbb9dbce36 (diff)
downloadaports-61c9122b4f424e304a3b498cdfb36127aaf2c811.tar.gz
aports-61c9122b4f424e304a3b498cdfb36127aaf2c811.tar.bz2
aports-61c9122b4f424e304a3b498cdfb36127aaf2c811.tar.xz
community/perl-class-trigger: moved from unmaintained
Diffstat (limited to 'community/perl-class-trigger/APKBUILD')
-rw-r--r--community/perl-class-trigger/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/perl-class-trigger/APKBUILD b/community/perl-class-trigger/APKBUILD
new file mode 100644
index 0000000000..1011d69940
--- /dev/null
+++ b/community/perl-class-trigger/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-class-trigger
+_pkgreal=Class-Trigger
+pkgver=0.14
+pkgrel=0
+pkgdesc="Mixin to add / call inheritable triggers"
+url="http://search.cpan.org/dist/Class-Trigger/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-io-stringy"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="b0a95ebe359a3c4e768d81fc58031c83 Class-Trigger-0.14.tar.gz"